#include <bits/stdc++.h>

#define ll long long
#define ld long double
#define sz(a) (int)a.size()
#define rep(i, l, r) for (int i = l; i < r; i++)
#define repb(i, l, r) for (int i = l; i > r; i--)
#define fi first
#define se second

using namespace std;

const int N = 1001;
const int inf = (int)1e9 + 1;
const int MOD = 998244353;
const ll big = (ll)1e18 + 1;

template<class T>
void print(vector<T> s){
    for (int i = 0; i < s.size(); i++)
        cout << s[i] << " ";
    cout << endl;
}

template<class T>
void print(vector<pair<T, T> > s){
    for (int i = 0; i < s.size(); i++)
        cout << s[i].first << " " << s[i].second << endl;
    cout << endl;
}

template<class T>
void print(vector<vector<T> > s){
    for (int i = 0; i < s.size(); i++)
        print(s[i]);
    cout << endl;
}

int pw[N];

void init()
{
    pw[0] = 1;
    rep(i, 1, N)
        pw[i] = (pw[i - 1] * 2) % MOD;
}

int n, m, p = 0;
int bad[20];
int cnt[N];
int aaa[20];
int a[20][100];
int curr_cnt = 0;
int ans[1 << 20];

void solve(int mask)
{
    if (p == m)
    {
        ans[mask] = pw[n - curr_cnt];
        return;
    }

    p++;
    solve(mask);
    p--;

    if ((mask & bad[p]) != 0)
        return;
    else
    {
        rep(i, 0, aaa[p])
        {
            int x = a[p][i];
            if (x < 0)
                x = -x;
            if (cnt[x] == 0)
                curr_cnt++;
            cnt[x]++;
        }
        p++;
        solve(mask | (1 << (p - 1)));
        p--;
        rep(i, 0, aaa[p])
        {
            int x = a[p][i];
            if (x < 0)
                x = -x;
            if (cnt[x] == 1)
                curr_cnt--;
            cnt[x]--;
        }
    }
    return;
}

int main()
{
    //freopen("a.in", "r", stdin);
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    init();
    cin >> n >> m;
    rep(i, 0, m)
    {
        cin >> aaa[i];
        rep(j, 0, aaa[i])
            cin >> a[i][j];
    }
    rep(i, 0, m)
        rep(j, 0, m)
            if (i != j)
            {
                bool ok = true;
                rep(x, 0, aaa[i])
                    rep(y, 0, aaa[j])
                        if (a[i][x] + a[j][y] == 0)
                            ok = false;
                if (!ok)
                    bad[i] |= (1 << j);
            }
    solve(0);
    /*rep(i, 0, (1 << m))
        cout << ans[i] << " ";
    cout << endl;*/
    int res = pw[n];
    rep(mask, 1, (1 << m))
        if (__builtin_popcount(mask) % 2 == 1)
        {
            res -= ans[mask];
            if (res < 0)
                res += MOD;
        }
        else
        {
            res += ans[mask];
            if (res >= MOD)
                res -= MOD;
        }
    cout << res << "\n";
    return 0;
}
