#include <bits/stdc++.h>

using namespace std;

vector<pair<int, int> > e;
vector<vector<int> > g;
vector<int> used;
vector<int> col;
vector<int> fin;
vector<int> out;

int dfs(int x)
{
    int v = e[x].first;
    int c = e[x].second;
    if (used[v] == 2)
    {
        out.push_back(x);
        return v;
    }
    if (used[v] == 1)
    {
        if (col[v] != c)
        {
            out.push_back(x);
            return v;
        }
        used[v] = 2;
    }
    if (used[v] == 3)
    {
        if (fin[v] == 2 || col[v] == c)
            return -1;
        used[v] = 1;
    }
    if (used[v] == 0)
        used[v] = 1;
    for (int u : g[v])
    {
        col[v] = e[u].second;
        if (col[v] == c)
            continue;
        int k = dfs(u);
        if (k == -1)
            continue;
        if (k == -2)
            return -2;
        if (k == v)
            if (e[out[0]].second != e[out.back()].second)
                return -2;
        out.push_back(x);
        return k;
    }
    fin[v]++;
    used[v] = 3;
    col[v] = c;
    return -1;
}

int main()
{
    //freopen("input.txt", "r", stdin);
    int T;
    cin >> T;
    for (int t = 0; t < T; t++)
    {
        e.clear();
        g.clear();
        used.clear();
        col.clear();
        fin.clear();
        out.clear();
        int n, m;
        cin >> n >> m;
        e.resize(m + 1);
        g.resize(n + 1);
        used.resize(n + 1);
        col.resize(n + 1);
        fin.resize(n + 1);
        for (int i = 1; i <= m; i++)
        {
            int x, y, z;
            cin >> x >> y >> z;
            --x, --y;
            e[i] = {y, z};
            g[x].push_back(i);
        }
        for (int i = 0; i < n; i++)
        {
            e[0] = {i, 0};
            if (dfs(0) == -2)
                break;
        }
        if (out.empty())
            cout << "-1\n";
        else
        {
            cout << out.size() << "\n";
            reverse(out.begin(), out.end());
            for (int i : out)
                cout << i << " ";
            cout << "\n";
        }
    }
    return 0;
}
