import java.util.*;

public class Task_J {

	final static int lim = 280;

	public static void main(String[] args) {
		Scanner in = new Scanner(System.in);

		int n = in.nextInt();
		in.nextLine();
		ArrayList<String> a = new ArrayList<String>();
		for (int i = 0; i < n; i++) {
			StringTokenizer st = new StringTokenizer(in.nextLine());
			String x = st.nextToken();
			while (st.hasMoreTokens()) {
				a.add(x);
				x = st.nextToken();
			}
		}

		int l = 1;
		int r = n + 1;
		while (r - l > 1) {
			int m = (r + l) / 2;
			int len_m = (int) Math.log10(m) + 1;
			int k = 1;
			String ret = "";
			for (int i = 0; i < a.size(); i++) {
				ret += a.get(i) + " ";
				if (ret.length() + (3 + (int) Math.log10(k) + 1 + len_m) > lim) {
					i--;
					ret = "";
					k++;
				}
			}
			if (k <= m) {
				r = m;
			} else {
				l = m;
			}
		}

		String ret = "";
		int k = 1;
		int len_l = (int) Math.log10(l) + 1;
		for (int i = 0; i < a.size(); i++) {
			ret += a.get(i) + " ";
			if (ret.length() + 3 + (int) Math.log10(k) + 1 + len_l >= lim) {
				i--;
				System.out.println(ret + "(" + k + "/" + l + ")");
				k++;
				ret = "";
			}
		}
		System.out.println(ret + "(" + k + "/" + l + ")");
	}
}
