import java.io.*;
import java.util.*;

public class D {
	public void solve() throws IOException {
		int n = nextInt();
		int[] arr = new int[n];
		
		for (int i = 0; i < n; i++) {
			arr[i] = nextInt();
		}
		
		String s = nextToken();
		
		int[] ans = new int[n];
		
		TreeMap<Integer, Integer> set = new TreeMap<>();
		int size = 0;
		for (int i = 0; i < n; i++) {
			if (s.charAt(i) == 'L') {
				ans[i] = size;
			}
			if (set.containsKey(arr[i])) {
				set.put(arr[i], set.get(arr[i]) + 1);
				size++;
			} else {
				set.put(arr[i], 1);
				size++;
			}
			
			while (set.firstKey() < arr[i]) {
				size -= set.get(set.firstKey());
				set.remove(set.firstKey());
			}
		}
		
		set.clear();
		size = 0;
		for (int i = n - 1; i > -1; i--) {
			if (s.charAt(i) == 'R') {
				ans[i] = size;
			}
			if (set.containsKey(arr[i])) {
				set.put(arr[i], set.get(arr[i]) + 1);
				size++;
			} else {
				set.put(arr[i], 1);
				size++;
			}
			
			while (set.firstKey() < arr[i]) {
				size -= set.get(set.firstKey());
				set.remove(set.firstKey());
			}
		}
		
		for (int i = 0; i < n; i++) {
			out.print(ans[i] + " ");
		}
	}

	public void run() {
		try {
			br = new BufferedReader(new InputStreamReader(System.in));
			out = new PrintWriter(System.out);

//			br = new BufferedReader(new FileReader(new File("input.txt")));
//			out = new PrintWriter(new File("output.txt"));
			
			solve();

			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}

	BufferedReader br;
	StringTokenizer in;
	PrintWriter out;

	public String nextToken() throws IOException {
		while (in == null || !in.hasMoreTokens()) {
			in = new StringTokenizer(br.readLine());
		}
		return in.nextToken();
	}

	public int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	public double nextDouble() throws IOException {
		return Double.parseDouble(nextToken());
	}

	public long nextLong() throws IOException {
		return Long.parseLong(nextToken());
	}

	public static void main(String[] args) throws IOException {
		Locale.setDefault(Locale.US);
		new D().run();
	}

}
