import java.io.*;
import java.util.*;
import java.math.*;

public class E {

	public void solve() throws IOException {
		BigInteger a = new BigInteger(nextToken());
		a = a.add(BigInteger.ONE);
		String s = "0" + a.toString();
		char[] str = s.toCharArray();
		int n = s.length();

		while (true) {
			int ind = -239;
			for (int i = 0; i < n - 1; i++) {
				if (str[i] == str[i + 1]) {
					ind = i + 1;
					break;
				}
			}

			if (ind == -239) {
				out.println(new BigInteger(new String(str)));
				return;
			}
			
			if (str[ind] == '9') {
				str[ind - 2] = (char) (str[ind - 2] + 1);
				for (int i = ind - 1; i < n; i++) {
					str[i] = (char) ((i - ind + 1) % 2 + '0');	
				}
			} else {
				str[ind] = (char) (str[ind] + 1);
				for (int i = ind + 1; i < n; i++) {
					str[i] = (char) ((i - ind - 1) % 2 + '0');	
				}
			}
		}
	}

	public void run() {
		try {
			br = new BufferedReader(new InputStreamReader(System.in));
			out = new PrintWriter(System.out);

			// br = new BufferedReader(new FileReader(new File("input.txt")));
			// out = new PrintWriter(new File("output.txt"));

			solve();

			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}

	BufferedReader br;
	StringTokenizer in;
	PrintWriter out;

	public String nextToken() throws IOException {
		while (in == null || !in.hasMoreTokens()) {
			in = new StringTokenizer(br.readLine());
		}
		return in.nextToken();
	}

	public int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	public double nextDouble() throws IOException {
		return Double.parseDouble(nextToken());
	}

	public long nextLong() throws IOException {
		return Long.parseLong(nextToken());
	}

	public static void main(String[] args) throws IOException {
		Locale.setDefault(Locale.US);
		new E().run();
	}

}
