import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.Arrays;
import java.util.Locale;
import java.util.StringTokenizer;
import java.util.TreeSet;

public class H {
	String fileName = "<name>";

	public void solve() throws IOException {
		int k = nextInt();
		int[] d = new int[7];
		for (int i = 0; i < 5; i++) {
			String s = nextToken();
			for (int j = 0; j < d.length; j++) {
				if (s.charAt(i) == '1') {
					if (j >= 4) {
						d[i] = -2;
					} else {
						d[i] = -(j - 2); 
					}
					break;
				}
			}
		}
		d[5] = -2;
		d[6] = -2;
		
		int n = 0;
		for (int zzz = 0; zzz < 1000000; zzz++) {
			int c = zzz % 7;
			int f = d[c];
			if (f >= 0) {
				n += f;
			} else {
//				if (n > 0) {
//					n = n + f;
//				}
				n = Math.max(0, n + f);
			}
			if (n >= k) {
				out.println((zzz / 7 + 1) + " " + ((zzz % 7) + 1));
				return;
			}
		}
		
		out.println(-1);
	}

	public void run() {
		try {
			br = new BufferedReader(new InputStreamReader(System.in));
			out = new PrintWriter(System.out);

//			br = new BufferedReader(new FileReader(new File("input.txt")));
//			out = new PrintWriter(new File("output.txt"));
			
			solve();

			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}

	BufferedReader br;
	StringTokenizer in;
	PrintWriter out;

	public String nextToken() throws IOException {
		while (in == null || !in.hasMoreTokens()) {
			in = new StringTokenizer(br.readLine());
		}
		return in.nextToken();
	}

	public int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	public double nextDouble() throws IOException {
		return Double.parseDouble(nextToken());
	}

	public long nextLong() throws IOException {
		return Long.parseLong(nextToken());
	}

	public static void main(String[] args) throws IOException {
		Locale.setDefault(Locale.US);
		new H().run();
	}

}
