#include <bits/stdc++.h>

using namespace std;

vector<int> get_up(int x)
{
    vector<int> v(16);
    for (int i = 0; i < x; i++)
        v[i] = 1;
    return v;
}

vector<int> get_down(int x)
{
    vector<int> v(16);
    for (int i = 15; 15-i < x; i--)
        v[i] = 1;
    return v;
}

vector<int> get_left(int x)
{
    vector<int> v(16);
    int i = 0;
    while(x > 0)
    {
        if ((i + 1) % 4 != 0)
        {
            v[i] = 1;
            x--;
        }
        i++;
    }
    return v;
}

vector<vector<int> > one_line;

void one_line_out()
{
    for (int i = 0; i < one_line[0].size(); i++)
    {

        for (int j = 0; j < one_line.size(); j++)
        {
            if (one_line[j][i] == 1)
                cout << '*';
            else
                cout << '.';
        }
        if (i != one_line[0].size() - 1)
            cout << endl;
    }
}

void write_to_one_line(vector<int> &v, int x)
{
    x *= 4;
    for (int i = 0; i < 16; i++)
        one_line[x + i % 4][i / 4] = v[i];
}

int main()
{
    int n, m;
    cin >> m >> n;
    vector<vector<int> > a(n);
    one_line.resize(4*n);
    for (int i = 0; i < one_line.size(); i++)
        one_line[i].resize(4);
    for (int i = 0; i < n; i++)
        a[i].resize(m);

    for (int i = 0; i < m; i++)
        for (int j = 0; j < n; j++)
            cin >> a[j][i];

    //vector<int> v = get_left(7);
    //write_to_one_line(v, 0);
    //one_line_out();

    vector<int> v;

    for (int i = 0; i < n; i++)
    {
        v = get_up(a[i][0]);
        write_to_one_line(v, i);
    }
    one_line_out();
    for (int i = 1; i < m; i++)
    {
        for (int j = 0; j < n-1; j++)
        {
            v = get_down(a[j][i]);
            write_to_one_line(v, j);
        }
        cout << endl;
        v = get_left(a[n-1][i]);
        write_to_one_line(v, n-1);
        one_line_out();
    }


    return 0;
}
