import java.util.Scanner;

public class Combinations {
    public static void main(String[] args) {

        Scanner scanner = new Scanner(System.in);

        int n = scanner.nextInt();

        int[] i = new int[n];
        for (int a = 0; a < n; a++)
            i[a] = scanner.nextInt();

        for (int a = 0; a < n; a++) {
            if (willWin(i, a)) {
                System.out.println(a);
                return;
            }
        }
        System.out.println(-1);
    }

    private static boolean willWin(int i1[], int bias) {
        for (int a = 0; a < i1.length; a++)
            if (equals(i1[a], a+1, bias, i1.length))
                return false;
        return true;
    }

    private static boolean equals(int a, int b, int bias, int base) {
        int c = b - bias;
        if (c < 1)
            c += base;
        return a == c;
    }
}
