#include <iostream>
#include <math.h>
#include <map>
using namespace std;

bool check(int x, int mx)
{
    int k = 1;
    map<int, long long> m;
    for(int i = 2; i <= sqrt(x); i++)
    {
        while(x % i == 0)
            x /= i, m[i]++;
    }
    if(x != 1)
        m[x]++;
    for(pair<int, long long> cur : m)
        k *= cur.second + 1;
    return (k <= mx);
}

int main()
{
    int n, k; cin >> n >> k;
    for(int i = 1; i <= n; i++)
    {
        for(int j = 1; j <= n; j++)
        {
            bool b = check((i - 1) * n + j, k);
            if(b)
                cout << '*';
            else
               cout << '.';
        }
        cout << "\n";
    }
}
