#include <iostream>
#include <vector>
#include <math.h>

typedef unsigned __int64 Integer;

int main(void) {
	Integer n = 0;
	std::cin >> n;
	
	auto n_digit = [=](Integer x, Integer digit) -> Integer {
		Integer ten = std::pow(10, digit);
		return (x / ten) % 10;
	};
	auto digit_len = [=](Integer x) -> Integer {
		Integer count = 0;
		if (x == 0) { return 1; }
		while (x != 0) { ++count; x /= 10; }
		return count;
	};

	auto satisfies = [=](Integer x) -> bool {
		Integer len = digit_len(x);
		for (Integer i = 0; i < len - 1; ++i)
			if (n_digit(x, i) == n_digit(x, i + 1))
				return false;
		return true;
	};
	
	while (!satisfies(n + 1)) { ++n; }
	std::cout << (n + 1) << std::endl;

	return 0;
}