#include <iostream>
#include <string>
#include <sstream>
#include <vector>

typedef unsigned __int64 Int;

int main(void) {
	Int n = 0;
	std::cin >> n;

	std::vector<Int> enemies;
	enemies.reserve(n);
	std::vector<Int> start;
	start.reserve(n);

	{
		Int x = 0;
		std::string str = "";
		std::cin.ignore(1);
		std::getline(std::cin, str);
		std::stringstream stream(str);
		for (Int i = 0; i < n; ++i) {
			stream >> x;
			enemies.push_back(x);
			start.push_back(i);
		}
	}

	auto move = [&]() {
		for (Int& i : start) {
			i += (n - 1);
			i %= n;
			if (i == 0) i = n;
		}
	};

	auto check = [&]() -> bool {
		for (Int i = 0; i < n; ++i) {
			if (enemies[i] == start[i]) return false;
		}
		return true;
	};

	for (Int i = 0; i <= n; ++i) {
		if (check()) {
			std::cout << i << std::endl;
			return 0;
		}
		move();
	}
	std::cout << -1 << std::endl;

	return 0;
}