#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;
const int MAXN = 212345;

vector<int> g[MAXN], w[MAXN], num[MAXN], used[MAXN], rev[MAXN], gr[MAXN], wr[MAXN];

bool ok = false;

vector<int> e;

vector<pair<int, int> > q;

vector<int> ans;

void dfs(int v, int k)
{
    q.push_back(make_pair(v, k));
    int col = wr[v][k];
    used[v][k] = 1;
    for (int i = 0; i < g[v].size(); i++)
    {
        int l = rev[v][i];
        int u = g[v][i];
        int c = w[v][i];
        if (c == col)
            continue;
        if (used[u][l] == 2)
            continue;
        if (used[u][l] == 1)
        {
            ok = true;
            ans.push_back(num[v][i]);
            while (q.back() != make_pair(u, l))
                ans.push_back(e.back()), e.pop_back(), q.pop_back();
            reverse(ans.begin(), ans.end());
            return;
        }
        else if (!used[u][l])
        {
            e.push_back(num[v][i]);
            dfs(u, l);
            if (ok)
                return;
            e.pop_back();
        }
    }
    q.pop_back();
    used[v][k] = 2;
}

int main()
{
    ios::sync_with_stdio(0); cin.tie(0);
    int T;
    cin >> T;
    for (int _ = 0; _ < T; _++)
    {
        ok = false;
        int n, m;
        cin >> n >> m;
        for (int i = 1; i <= m; i++)
        {
            int a, b, c;
            cin >> a >> b >> c;
            rev[a].push_back(gr[b].size());
            g[a].push_back(b);
            gr[b].push_back(a);
            num[a].push_back(i);
            w[a].push_back(c);
            wr[b].push_back(c);
            used[b].push_back(0);
        }
        e.clear();
        q.clear();
        for (int i = 1; !ok && i <= n; i++)
            for (int j = 0; !ok && j < used[i].size(); j++)
                if (!used[i][j])
                    dfs(i, j);
        if (!ok)
            cout << "-1\n";
        else
        {
         //   cout << endl << endl << endl;
            cout << ans.size() << "\n";
            for (int i = 0; i < ans.size(); i++)
                cout << ans[i] << " ";
            cout << "\n";
          //  cout << endl;
        }
        ans.clear();
        for (int i = 1; i <= n; i++)
            gr[i].clear(), wr[i].clear(), g[i].clear(), w[i].clear(), num[i].clear(), used[i].clear(), rev[i].clear();
    }
    return 0;
}
/*
3
5 8
1 4 1
2 4 1
4 5 2
3 2 2
5 3 1
3 2 3
5 2 2
2 1 3
4 5
1 2 2
2 3 1
2 4 4
4 1 2
3 1 2
2 3
1 2 1
1 2 2
2 1 1
*/
