/*******************************************************
 * Copyright (C) 2017
 *  Computer Graphics Support Group of 30 Phys-Math Lyceum
 *******************************************************/
/* FILE NAME  : MAIN.CPP
 * PURPOSE    : The main program file
 * PROGRAMMER : LZ5
 *             AK5
 *             VG5
 * LAST UPDATE: 05.11.2017
 * NOTE: None.
 *
 * No part of this file may be changed without agreement of
 * Computer Graphics Support Group of 30 Phys-Math Lyceum
 */
#include <cstdio>
#include <cmath>

/* The main program function.
 * ARGUMENTS: None.
 * RETURNS:
 *   (int) 0 if success.
 */
int main( void )
{
  int k, num_del = 2;

  unsigned int n;

  scanf_s("%i", &n);
  k = n;
  unsigned int *A = new unsigned int [n],
    *H = new unsigned int [n], t = 0, flag = 1;

  for (unsigned int i = 0; i < n; i++)
    H[i] = i + 1;

  while (k != 0)
  {
    scanf_s("%d", &A[n - k]);
    k--;
  }

  while (flag && t < n)
  {
    unsigned int tmp = H[n - 1];

    flag = 0;

    for (unsigned int i = 0; i < n; i++)
    {
      if (A[n - i - 1] == H[n - i - 1])
        flag = 1;
      H[n - i] = H[n - i - 1];
    }

    H[0] = tmp;
    t++;
  }

  if (flag == 0)
    printf("%u", t - 1);
  else
    printf("-1");
  return 0;
} /* End of 'main' function */

/* END OF 'MAIN' FUNCTION */