/*******************************************************
 * Copyright (C) 2017
 *  Computer Graphics Support Group of 30 Phys-Math Lyceum
 *******************************************************/
/* FILE NAME  : MAIN.CPP
 * PURPOSE    : The main program file
 * PROGRAMMER : LZ5
 *             AK5
 *             VG5
 * LAST UPDATE: 05.11.2017
 * NOTE: None.
 *
 * No part of this file may be changed without agreement of
 * Computer Graphics Support Group of 30 Phys-Math Lyceum
 */
#include <cstdio>

/* The main program function.
 * ARGUMENTS: None.
 * RETURNS:
 *   (int) 0 if success.
 */
int main( void )
{
  __int64 A[4];
  float x, y;

  scanf_s("%lld %lld %lld %lld", &A[0], &A[1], &A[2], &A[3]);
  for (int j = 0; j < 4; j++)
    for (int i = 0; i < 3; i++)
      if (A[i] > A[i + 1])
      {
        __int64 tmp = A[i];

        A[i] = A[i + 1], A[i + 1] = tmp;
      }
  x = (float)A[0] / A[2] + (float)A[1] / A[3];
  y = (float)A[1] / A[2] + (float)A[0] / A[3];
  if (x > y)
    printf("%lld %lld %lld %lld", A[1], A[2], A[0], A[3]);
  else
    printf("%lld %lld %lld %lld", A[0], A[2], A[1], A[3]);
  return 0;
} /* End of 'main' function */

/* END OF 'MAIN' FUNCTION */