#include <bits/stdc++.h>

using namespace std;

const int N = 1000;
vector<int> cntb, cntc;
vector<bool> eq;
int zb, zc, ceq;

inline void addb(int x, int d)
{
    zb -= cntb[x] == 0;
    ceq -= eq[x];
    cntb[x] += d;
    eq[x] = cntb[x] > 0 && cntc[x] > 0;
    ceq += eq[x];
    zb += cntb[x] == 0;
}

inline void addc(int x, int d)
{
    zc -= cntc[x] == 0;
    ceq -= eq[x];
    cntc[x] += d;
    eq[x] = cntb[x] > 0 && cntc[x] > 0;
    ceq += eq[x];
    zc += cntc[x] == 0;
}

int main()
{
#ifdef DEBUG
    ifstream cin("input");
#endif
    int n, m;
    cin >> n >> m;
    vector<vector<int>> arr(m);
    for (int j = 0; j < m; ++j)
    {
        int a;
        cin >> a;
        arr[j].resize(a);
        for (int i = 0; i < a; ++i)
        {
            int y;
            cin >> y;
            if (y > 0)
                --y;
            arr[j][i] = y;
        }
    }
    int MOD = 998244353;
    vector<int> pw(2 * n + 1);
    pw[0] = 1;
    for (int i = 0; i < 2 * n; ++i)
        pw[i + 1] = pw[i] * 2 % MOD;
    int last = -1;
    cntb.resize(n);
    cntc.resize(n);
    long long ans = 0;
    eq.assign(n, false);
    zb = zc = n;
    ceq = 0;
    for (int i = 0; i < (1 << m); ++i)
    {
        int msk = i ^ (i >> 1);
        int c = 0;
        for (int j = 0; j < m; ++j)
            c += msk >> j & 1;
        if (last != -1) {
            int mem = -1;
            for (int j = 0; j < m; ++j)
                if ((msk >> j & 1) != (last >> j & 1))
                    mem = j;
            bool a = (msk >> mem & 1);
            for (int x : arr[mem]) {
                if (a) {
                    if (x >= 0) {
                        addb(x, 1);
                    } else {
                        x = -x - 1;
                        addc(x, 1);
                    }
                } else {
                    if (x >= 0) {
                        addb(x, -1);
                    } else {
                        x = -x - 1;
                        addc(x, -1);
                    }
                }
            }
        }
        if (ceq == 0)
        {
            int kek = n - ((n - zb) + (n - zc));
            if (c & 1)
                ans -= pw[kek];
            else
                ans += pw[kek];
        }
        last = msk;
    }
    ans %= MOD;
    cout << (ans + MOD) % MOD << endl;
}
