/*************************************************************
 * Copyright (c) 2017
 *   Galinsky software
 *   Computer Graphics Support Group of 30 Phys-Math Lyceum
 ************************************************************/

/* FILE NAME:  K.CPP
 * PURPOSE:    None.
 * PROGRAMMER: CGSG'2017
 *             Dmitriev-Lappo Yaroslav
 *             Smirnov Arsenty
 *             Malets Lev
 * NOTE:       None.
 *
 * No part of this file may be changed without agreement of
 * Galinsky Vitaly personally and
 * Computer Graphics Support Group of 30 Phys-Math Lyceum
 */

/******************************
/*        13h games           *
/******************************

/* Defines: */

/* *****
 *  *
 *******
    ****
 ****  */
#define _CRT_SECURE_NO_WARNINGS
#include <stdio.h>
#include <Windows.h>
#include <string>
#include <algorithm>
#include <array>
#include <cmath>

#define TRU 1
#define FOLS 0
using BULL = BOOL;

VOID main( VOID )
{
  UINT n, k;

  scanf("%i%i", &n, &k);

  BYTE *Field = new BYTE[n * n];

  memset(Field, 0, sizeof(BYTE) * n * n);

  for (UINT i = 0; i < n * n; i++)
  {
    UINT noofDel = 0;

    for (UINT j = 1; j <= i; j++)
      if ((i + 1) % j == 0)
        noofDel++;
    if (noofDel < k)
      Field[i] = 1;
  }

  for (UINT i = 0; i < n; i++)
  {
    for (UINT j = 0; j < n; j++)
    {
      if (Field[i * n + j])
        printf("*");
      else
        printf(".");
    }
    printf("\n");
  }

  delete[] Field;

  exit(0);
}
