#include <bits/stdc++.h>

using namespace std;

int n;
string type;
vector<int> height;
stack<int> q_left, q_right;
vector<int> answers;

int main()
{
    ios_base::sync_with_stdio(0);

    cin >> n;
    height.resize(n);
    answers.resize(n);

    for (int i = 0 ; i < n; i++)
        cin >> height[i];

    cin >> type;
    for (int i = 0; i < n; i++)
    {
        if (type[i] == 'L')
            answers[i] = q_left.size();
        while ((!q_left.empty()) && (q_left.top() < height[i]))
            q_left.pop();
        q_left.push(height[i]);
    }

    for (int i = n - 1; i >= 0; i--)
    {
        if (type[i] == 'R')
            answers[i] = q_right.size();
        while ((!q_right.empty()) && (q_right.top() < height[i]))
            q_right.pop();
        q_right.push(height[i]);
    }

    for (int i = 0; i < n; i++)
        cout << answers[i] << ' ';
    return 0;
}

