#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

const int N = 1001;
const int M = 20;
const int MS = (1 << M);
const int two = 2;
const ll MOD = 998244353;

int msa[two][N];
vector<vector<pair<int, int> > > pos(N);
int n, m;
int dp[MS];
ll st[N];

ll gett(int mask)
{
    if (dp[mask] == n + 1)
        return st[n];
    ll ans = st[dp[mask]] - 1;
    if (ans < 0) ans += MOD;
    ans = (ans * st[n - dp[mask]]) % MOD;
    return ans;
}

void init()
{
    st[0] = 1;
    for (int i = 0; i < N - 1; i++)
        st[i + 1] = (2LL * st[i]) % MOD;
}

int main()
{
    //freopen("input.txt", "r", stdin);
    init();
    cin >> n >> m;
    for (int i = 0; i < m; i++)
    {
        int sz;
        cin >> sz;
        for (int j = 0; j < sz; j++)
        {
            int x;
            cin >> x;
            if (x < 0)
            {
                x = -x;
                pos[i].push_back(make_pair(x - 1, 2));
            }
            else
            {
                pos[i].push_back(make_pair(x - 1, 1));
            }
        }
    }
    memset(msa, 0, sizeof(msa));
    for (int i = 0; i < m; i++)
        for (pair<int, int> t : pos[i])
            msa[t.second - 1][t.first] ^= (1 << i);
    dp[0] = 0;
    for (int mask = 1; mask < (1 << m); mask++)
    {
        int p;
        for (p = 0; p < m; p++)
            if ((mask >> p) & 1)
                break;
        int to = mask ^ (1 << p);
        //cerr << mask << " --> " << to << "\n";
        if (dp[to] == n + 1)
        {
            dp[mask] = n + 1;
            continue;
        }
        dp[mask] = dp[to];
        for (pair<int, int> t : pos[p])
        {
            if ((msa[2 - t.second][t.first] & to) != 0)
            {
                dp[mask] = n + 1;
                break;
            }
            if ((msa[t.second - 1][t.first] & to) == 0)
                dp[mask]++;
        }
    }
    //for (int i = 0; i < (1 << m); i++)
    //    cerr << i << " " << dp[i] << "\n";
    ll ans = 0;
    for (int mask = 1; mask < (1 << m); mask++)
    {
        ans += gett(mask) * ((__builtin_popcount(mask) & 1) ? 1 : -1);
        ans %= MOD;
        if (ans < 0) ans += MOD;
    }
    cout << ans;
    return 0;
}
