import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.StringTokenizer;

public class G {
	public static void main(String[] args) throws IOException {
		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
		StringTokenizer st = new StringTokenizer(br.readLine());

		int n = Integer.parseInt(st.nextToken());
		st = new StringTokenizer(br.readLine());
		int[] mars = new int[n];
		for (int i = 0; i < n; i++) {
			mars[i] = Integer.parseInt(st.nextToken());
		}
		int[] people = new int[n];
		for (int i = 0; i < n; i++) {
			people[i] = i + 1;
		}

		int time = 0;
		while (time < n) {
			boolean flag = true;
			for (int i = 0; i < n; i++) {
				if (mars[i] == people[i]) {
					flag = false;
					break;
				}
			}
			if (flag) {
				System.out.println(time);
				System.exit(0);
			}

			time++;
			int tmp = people[n - 1];
			for (int i = 1; i < n; i++) {
				people[i]--;
				if (people[i] == 0) {
					people[i] = n;
				}
			}
			people[0] = tmp;
		}
		System.out.println(-1);

	}
}
