import java.io.*;
import java.util.*;
 
public class Task_J {
 
    final static int lim = 280;
    FastScanner in;
    PrintWriter out;
 
    public void solve() {
        int n = in.nextInt();
        ArrayList<String> a = new ArrayList<String>();
        for (int i = 0; i < n; i++) {
        	try {
				in.st = new StringTokenizer(in.br.readLine());
			} catch (IOException e) {
				e.printStackTrace();
			}
            while (in.hasNext()) {
                a.add(in.next());
            }
            a.remove(a.size()-1);
        }
        int ans;
        int k = -1;
        for (ans = 1; ans <= 5; ans++) {
            k = 1;
            int len = 0;
            for (int i = 0; i < a.size(); i++) {
                if (len + a.get(i).length() + 1 + (3 + (int) Math.log10(k) + 1 + ans) > lim) {
                    len = 0;
                    k++;
                }
                len += a.get(i).length()+1;
            }
            int l = (int)Math.pow(10, ans-1);
            int r = (int)Math.pow(10, ans) - 1;
            if (l <= k && k <= r) {
                break;
            }
        }
        out.println(k);
        String ret = "";
        int k1 = 1;
        int len_l = ans;
        for (int i = 0; i < a.size(); i++) {
            if (ret.length() + a.get(i).length() + 1 + 3 + (int) Math.log10(k1) + 1 + len_l > lim) {
                out.println(ret + "(" + k1 + "/" + k + ")");
                k1++;
                ret = "";
            }
            ret += a.get(i) + " ";
        }
 
        out.println(ret + "(" + k1 + "/" + k + ")");
    }
 
    public void run() {
        in = new FastScanner();
        out = new PrintWriter(new BufferedWriter(new OutputStreamWriter(System.out)));
        solve();
        out.close();
    }
 
    class FastScanner {
        BufferedReader br;
        StringTokenizer st;
 
        FastScanner() {
            br = new BufferedReader(new InputStreamReader(System.in));
        }
 
        String next() {
            while (st == null || !st.hasMoreTokens()) {
                try {
                    st = new StringTokenizer(br.readLine());
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
            return st.nextToken();
        }
 
        int nextInt() {
            return Integer.parseInt(next());
        }
        
        boolean hasNext() {
        	return (st.hasMoreTokens());
        }
    }
 
    public static void main(String[] args) {
        Locale.setDefault(Locale.US);
        new Task_J().run();
    }
}