import java.io.*;
import java.util.*;

public class Task_J {

	final static int lim = 280;
	FastScanner in;
	PrintWriter out;

	public void solve() {
		int n = in.nextInt();
		ArrayList<String> a = new ArrayList<String>();
		for (int i = 0; i < n; i++) {
			while (true) {
				String s = in.next();
				if (s.charAt(0) == '(') {
					break;
				}
				a.add(s);
			}
		}
		int l = 1;
		int r = n + 1;
		while (r - l > 1) {
			int ans = (r + l) / 2;
			int len_ans = (int) Math.log10(ans) + 1;
			int k = 1;
			int len = 0;
			for (int i = 0; i < a.size(); i++) {
				if (len + a.get(i).length() + 1 + (3 + (int) Math.log10(k) + 1 + len_ans) > lim) {
					len = 0;
					k++;
				}
				len += a.get(i).length() + 1;
			}
			if (k < ans) {
				r = ans;
			} else {
				l = ans;
			}
		}

		int ans = l;
		out.println(ans);
		String ret = "";
		int k = 1;
		int len_l = (int) Math.log10(ans) + 1;
		for (int i = 0; i < a.size(); i++) {
			if (ret.length() + a.get(i).length() + 1 + (3 + (int) Math.log10(k) + 1 + len_l) >= lim) {
				out.println(ret + "(" + k + "/" + ans + ")");
				k++;
				ret = "";
			}
			ret += a.get(i) + " ";
		}

		out.println(ret + "(" + k + "/" + ans + ")");
	}

	public void run() {
		in = new FastScanner();
		out = new PrintWriter(new BufferedWriter(new OutputStreamWriter(System.out)));
		solve();
		out.close();
	}

	class FastScanner {
		BufferedReader br;
		StringTokenizer st;

		FastScanner() {
			br = new BufferedReader(new InputStreamReader(System.in));
		}

		String next() {
			while (st == null || !st.hasMoreTokens()) {
				try {
					st = new StringTokenizer(br.readLine());
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
			return st.nextToken();
		}

		int nextInt() {
			return Integer.parseInt(next());
		}
	}

	public static void main(String[] args) {
		Locale.setDefault(Locale.US);
		new Task_J().run();
	}
}
