from sys import stdout, stdin
from math import ceil


def count_first_zeroes(s):
    for i, c in enumerate(s):
        if c != "0":
            return i


def main():
    k = int(stdin.readline())
    days = [-count_first_zeroes(stdin.readline().strip()) + 2 for _ in range(5)]
    sleep = [0] * 5
    sleep[0] = days[0]
    for i in range(1, 5):
        sleep[i] = sleep[i-1] + days[i]
    p = max(sleep[4] - 4, 0)
    if not p:
        stdout.write(str(-1))
        exit()
    arr = [0] * 5
    for i in range(5):
        arr[i] = max(int(ceil((k - sleep[i])/p)), 0)
    minimum = min(arr)
    for i, val in enumerate(arr):
        if val == minimum:
            stdout.write(str(arr[i] + 1) + ' ' + str(i + 1))
            exit()


if __name__ == '__main__':
     main()