#include <iostream>
#include <queue>

using namespace std;

int main()
{
	const int SIZE = 10e5;
	static int dp_l[SIZE], dp_r[SIZE], height[SIZE], n;
	static char direction[SIZE];
	priority_queue<int> que;

	cin >> n;
	for (int i = 0; i < n; i++)
		cin >> height[i];
	for (int i = 0; i < n; i++)
		cin >> direction[i];
	dp_l[0] = 0;
	for (int i = 1; i < n; i++)
	{
		while (!que.empty() && -que.top() < height[i - 1])
			que.pop();
		que.push(-height[i - 1]);
		dp_l[i] = que.size();
	}
	while (!que.empty())
		que.pop();
	dp_r[n - 1] = 0;
	for (int i = n - 2; i >= 0; i--)
	{
		while (!que.empty() && -que.top() < height[i + 1])
			que.pop();
		que.push(-height[i + 1]);
		dp_r[i] = que.size();
	}
	for (int i = 0; i < n; i++)
		if (direction[i] == 'L')
			cout << dp_l[i] << " ";
		else
			cout << dp_r[i] << " ";
}
