import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.Arrays;
import java.util.Locale;
import java.util.StringTokenizer;
import java.util.TreeSet;

public class K {
	String fileName = "<name>";

	double[] r = new double[24];
	int[] a1 = new int[24];
	int[] a2 = new int[24];
	int[] a3 = new int[24];
	int[] a4 = new int[24];
	int q = 0;
	public static int[] z = new int[4];

	void gen(int[] a, int x, boolean[] ok) {
		if (x == 4) {
			a1[q] = a[0];
			a2[q] = a[1];
			a3[q] = a[2];
			a4[q] = a[3];
			r[q] = 1.0 * a1[q] / a2[q] + 1.0 * a3[q] / a4[q];
			q++;
			return;
		}
		for (int i = 0; i < 4; i++) {
			if (!ok[i]) {
				continue;
			}
			a[x] = z[i];
			ok[i] = false;
			gen(a, x + 1, ok);
			ok[i] = true;
		}
	}

	public void solve() throws IOException {
    	int a = nextInt(), b = nextInt(), c = nextInt(), d = nextInt();
    	z[0] = a;
    	z[1] = b;
    	z[2] = c;
    	z[3] = d;
    	boolean[] ok = new boolean[4];
    	Arrays.fill(ok, true);
    	gen(new int[24], 0, ok);
    	
    	double min = Double.MAX_VALUE;
    	int mini = -1;
    	for (int i = 0; i < 24; i++) {
			if (r[i] < min) {
				min = r[i];
				mini = i;
			}
		}
    	
    	System.out.println(a1[mini] + " " + a2[mini] + " " + a3[mini] + " " + a4[mini]);
    	
    }

	public void run() {
		try {
			br = new BufferedReader(new InputStreamReader(System.in));
			out = new PrintWriter(System.out);

			solve();

			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}

	BufferedReader br;
	StringTokenizer in;
	PrintWriter out;

	public String nextToken() throws IOException {
		while (in == null || !in.hasMoreTokens()) {
			in = new StringTokenizer(br.readLine());
		}
		return in.nextToken();
	}

	public int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	public double nextDouble() throws IOException {
		return Double.parseDouble(nextToken());
	}

	public long nextLong() throws IOException {
		return Long.parseLong(nextToken());
	}

	public static void main(String[] args) throws IOException {
		Locale.setDefault(Locale.US);
		new K().run();
	}

}
