/***************************************************************
 * Copyright (C) 2017
 *    Computer Graphics Support Group of 30 Phys-Math Lyceum
 ***************************************************************/

/* FILE NAME   : MAIN.CPP
 * PURPOSE     : Olymp task .
 * PROGRAMMER  : CGSG'2016.
 *               Protsenko Dmitry,
 *               Holiavin Nikolai.
 *               CGSG'2017.
 *               Filippov Denis.
 * LAST UPDATE : 05.11.2017
 * NOTE: None.
 *
 * No part of this file may be changed without agreement of
 * Computer Graphics Support Group of 30 Phys-Math Lyceum.
 */

#include <windows.h>

#include <iostream>

/* Main program function.
 * ARGUMENTS: None.
 * RETURNS:
 *   (INT) return to OS code.
 */
INT main( VOID )
{
  INT n;
  std::cin >> n;
  INT *Peop = new INT[n];
  for (INT i = 0; i < n; i++)
    std::cin >> Peop[i], Peop[i]--;

  INT i;
  for (i = 0; i < n; i++)
  {
  begin:
    for (INT j = 0; j < n; j++)
      if ((j + i) % n == Peop[j])
      {
        i++;
        if (i == n)
        {
          i = n + 1;
          goto end;
        }
        goto begin;
      }
    break;
  }
end:
  if (i == n + 1)
    std::cout << -1;
  else if (i == n)
    std::cout << i;
  else
    std::cout << i + 1;
  return 0;
} /* End of 'main' function */


/* END OF 'MAIN.CPP' FILE */
