/***************************************************************
 * Copyright (C) 2017
 *    Computer Graphics Support Group of 30 Phys-Math Lyceum
 ***************************************************************/

/* FILE NAME   : MAIN.CPP
 * PURPOSE     : Olymp task .
 * PROGRAMMER  : CGSG'2016.
 *               Protsenko Dmitry,
 *               Holiavin Nikolai.
 *               CGSG'2017.
 *               Filippov Denis.
 * LAST UPDATE : 05.11.2017
 * NOTE: None.
 */

#include <windows.h>

#include <iostream>
#include <vector>
#include <algorithm>
#include <map>

/* Main program function.
 * ARGUMENTS: None.
 * RETURNS:
 *   (INT) return to OS code.
 */
INT main( VOID )
{
  std::vector<INT> div {};
  INT a, b, c, d;

  std::cin >> a >> b >> c >> d;
  div.resize(4);
  div[0] = a;
  div[1] = b;
  div[2] = c;
  div[3] = d;
  std::sort(div.begin(), div.end());
  DOUBLE
    t1 = div[0] / div[3] + div[1] / div[2],
    t2 = div[1] / div[3] + div[0] / div[2];
  if (t1 < t2)
    std::cout << div[0] << ' ' << div[3] << ' ' << div[1] << ' ' << div[2];
  else
    std::cout << div[1] << ' ' << div[3] << ' ' << div[0] << ' ' << div[2];
  return 0;
} /* End of 'main' function */

/* END OF 'MAIN.CPP' FILE */
