#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

class Dr {
public:
    ll a, b;
    Dr (ll a, ll b) : a(a), b(b) {}
    bool operator <(Dr to) {
        return a * to.b < b * to.a;
    }
    bool operator >(Dr to) {
        return !(*this < to);
    }
    Dr operator+(Dr to) {
        return Dr(a * to.b + b * to.a, b * to.b);
    }

};

Dr drob(vector<ll> v) {
    return Dr(v[0], v[1]) + Dr(v[2], v[3]);
}

bool comp(pair<Dr, vector<ll>> a, pair<Dr, vector<ll>> b) {
    return a.first < b.first;
}

int main() {
    ll a, b, c, d;
    cin >> a >> b >> c >> d;
    vector<ll> v;
    v.push_back(a);
    v.push_back(b);
    v.push_back(c);
    v.push_back(d);

    vector<pair<Dr, vector<ll>>> val;

    for (ll i = 0; i < 100; i++) {
        val.emplace_back(drob(v), v);
        next_permutation(v.begin(), v.end());
    }
    sort(val.begin(), val.end(), comp);

    //for (int i = 0; i < val.size(); i++) {
    //    cout << val[i].first.a << " " << val[i].first.b << endl;
    //}
    vector<ll> ans = val[0].second;
    for (ll i = 0; i < ans.size(); i++)
        cout << ans[i] << " ";
    cout << endl;
}
