import java.io.*;
import java.util.Locale;
import java.util.StringTokenizer;

public class E2 {
    String fileName = "E";
    StringBuilder sb;

    public boolean isBeat(long n) {
        String s = Long.toString(n);
        for (int i = 0; i < s.length() - 1; i++) {
            if (s.charAt(i) == s.charAt(i + 1)) {
                return false;
            }
        }
        return true;
    }

    public void inc(int ind) {
        int i = ind;
        sb.setCharAt(i,
                Integer.toString(Integer.parseInt(
                        Character.toString(sb.charAt(i))) + 1).charAt(0));
    }

    public void solve() throws IOException {
        String cur = null;
        sb = new StringBuilder();
        while ((cur = br.readLine()) != null) {
            long curN = Long.parseLong(cur) + 1;
            while (!isBeat(curN)) {
                curN++;
            }
            out.print(curN);
            break;
        }
    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new E2().run();
    }

}
