import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.StringTokenizer;

public class First {
    BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(System.in));
    StringTokenizer stringTokenizer;

    String nextToken() throws IOException
    {
        if(stringTokenizer==null||!stringTokenizer.hasMoreTokens())
        {
            stringTokenizer=new StringTokenizer(bufferedReader.readLine());
        }
        return stringTokenizer.nextToken();
    }

    Integer nextInt() throws IOException{
        return Integer.parseInt(nextToken());
    }

    public int dels(int a){
        int k=1;
        if (a>1) {
            k++;
            for (int i = 2; i <= a / 2; i++) {
                if (a%i==0) k++;
            }
        }
        return k;
    }

    public void solution() throws IOException
    {
        int h=1;
        int n=nextInt();
        int k=nextInt();
        int[][] a= new int[n][n];
        for (int i = 0; i <n ; i++) {
            for (int j = 0; j <n ; j++) {
                a[i][j]=h;
                h++;
            }
        }
        char b[][]=new char[n][n];
        for (int i = 0; i <n ; i++) {
            for (int j = 0; j <n ; j++) {
                if (dels(a[i][j]) <= k)
                    b[i][j]='*';
                else b[i][j]='.';
                System.out.print(b[i][j]);
            }
            System.out.println();
        }
    }

    public static void main(String[] args) throws IOException{
        new First().solution();
    }

}
