import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.StringTokenizer;

public class D {
    BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(System.in));
    StringTokenizer stringTokenizer;

    String nextToken() throws IOException
    {
        if(stringTokenizer==null||!stringTokenizer.hasMoreTokens())
        {
            stringTokenizer=new StringTokenizer(bufferedReader.readLine());
        }
        return stringTokenizer.nextToken();
    }

    Integer nextInt() throws IOException{
        return Integer.parseInt(nextToken());
    }

    public void solution() throws IOException
    {
        int max = 0;
        int sol = 0;
        int n = nextInt();
        int a[] = new int[n];
        for (int i = 0; i < n; i++) {
            a[i] = nextInt();
        }
        String s = bufferedReader.readLine();
        for (int i = 0; i < n; i++) {
            if(s.charAt(i)=='L'){
                for (int j = i-1; j >= 0; j--) {
                    if(a[j]>=max){
                        max = a[j];
                        sol++;
                    }
                }
            } else{
                for (int j = i+1; j < n; j++) {
                    if(a[j]>=max){
                        max = a[j];
                        sol++;
                    }
                }
            }
            System.out.print(sol+" ");
            sol = 0;
            max = 0;
        }
    }
    public static void main(String[] args) throws IOException{
        new D().solution();
    }

}
