#include <iostream>
#include <vector>
#include <bitset>
#define rep(i, n) for (int i = 0; i < n; i++)
#define repp(i, a, b) for (int i = a; i < b; i++)
using namespace std;

inline int binpow(int a, int b, int p) {
	int ans = 1;
	while (b) {
		if (b & 1) ans = (1ll * ans * a) % p;
		a = (1ll * a * a) % p;
		b >>= 1;
	}
	return ans;
}
const int mod = 998244353;
int main() {
	ios_base::sync_with_stdio(0);
	int n, m;
	cin >> n >> m;
	vector<bitset<1000>> vbp(m), vbm(m);
	rep(i, m) {
		int k;
		cin >> k;
		rep(j, k) {
			int b;
			cin >> b;
			if (b > 0) {
				b--;
				vbp[i][b] = 1;
			}
			else {
				b++;
				vbm[i][-b] = 1;
			}
		}
	}
	int ans = 0;
	for (int i = 1; i < (1 << m); i++) {
		int k = 0;
		bitset<1000> p, m;
		rep(j, 20) {
			if ((i >> j) & 1) {
				p |= vbp[j];
				m |= vbm[j];
				k++;
			}
		}
		if ((p & m).to_ulong()) continue;
		int r = 0;
		rep(q, 1000) {
			if (p[q]) r++;
			if (m[q]) r++;
		}
		int cur = binpow(2, n - r, mod) % mod;
		if (k & 1) ans = (ans + cur) % mod;
		else ans = (mod + ans - cur) % mod;
	}
	cout << (mod + binpow(2, n, mod) - ans) % mod;
}